Torque2D Reference

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | List of all members
NativeArray< Element > Class Template Reference

`#include <gtest-internal.h>`

## Public Types
typedef Element | value_type
typedef Element * | iterator
typedef const Element * | const_iterator
typedef Element | value_type
typedef Element * | iterator
typedef const Element * | const_iterator
typedef Element | value_type
typedef Element * | iterator
typedef const Element * | const_iterator

## Public Member Functions
| NativeArray (const Element *array, size_t count, RelationToSource relation)
| NativeArray (const NativeArray &rhs)
| ~NativeArray ()
size_t | size () const
const_iterator | begin () const
const_iterator | end () const
bool | operator== (const NativeArray &rhs) const
| NativeArray (const Element *array, size_t count, RelationToSource relation)
| NativeArray (const NativeArray &rhs)
| ~NativeArray ()
size_t | size () const
const_iterator | begin () const
const_iterator | end () const
bool | operator== (const NativeArray &rhs) const
| NativeArray (const Element *array, size_t count, RelationToSource relation)
| NativeArray (const NativeArray &rhs)
| ~NativeArray ()
size_t | size () const
const_iterator | begin () const
const_iterator | end () const
bool | operator== (const NativeArray &rhs) const

## Member Typedef Documentation

typedef const Element* const_iterator

typedef const Element* const_iterator

typedef const Element* const_iterator

typedef Element* iterator

typedef Element* iterator

typedef Element* iterator

typedef Element value_type

typedef Element value_type

typedef Element value_type

## Constructor & Destructor Documentation

NativeArray | ( | const Element * | array,
|  | size_t | count,
|  | RelationToSource | relation
| ) |  |
| inline

NativeArray | ( | const NativeArray< Element > & | rhs | ) |
| inline

~NativeArray | ( |  | ) |
| inline

NativeArray | ( | const Element * | array,
|  | size_t | count,
|  | RelationToSource | relation
| ) |  |
| inline

NativeArray | ( | const NativeArray< Element > & | rhs | ) |
| inline

~NativeArray | ( |  | ) |
| inline

NativeArray | ( | const Element * | array,
|  | size_t | count,
|  | RelationToSource | relation
| ) |  |
| inline

NativeArray | ( | const NativeArray< Element > & | rhs | ) |
| inline

~NativeArray | ( |  | ) |
| inline

## Member Function Documentation

const_iterator begin | ( | void |  | ) | const
| inline

const_iterator begin | ( | void |  | ) | const
| inline

const_iterator begin | ( | void |  | ) | const
| inline

const_iterator end | ( | void |  | ) | const
| inline

const_iterator end | ( | void |  | ) | const
| inline

const_iterator end | ( | void |  | ) | const
| inline

bool operator== | ( | const NativeArray< Element > & | rhs | ) | const
| inline

bool operator== | ( | const NativeArray< Element > & | rhs | ) | const
| inline

bool operator== | ( | const NativeArray< Element > & | rhs | ) | const
| inline

size_t size | ( | void |  | ) | const
| inline

size_t size | ( | void |  | ) | const
| inline

size_t size | ( | void |  | ) | const
| inline

The documentation for this class was generated from the following files:

- persistence/rapidjson/thirdparty/gtest/include/gtest/internal/gtest-internal.h
- testing/googleTest/fused-src/gtest/gtest.h